//UIDSAS JOB (12345,TAPE,IO05),'USER ADDRESS',TIME=(3,00),MSGCLASS=A            
//STEP1 EXEC SAS,SASRGN=2048K                                                   
//IN DD UNIT=TAPE62,VOL=SER=TAPEVOL,DISP=(,PASS),                               
//LABEL=(5,SL,,IN),DCB=(RECFM=FB,LRECL=106,BLKSIZE=6148),                       
// DSN=TAB.NDP032.PRESSURE.DATA                                                 
//FT06F001 DD SYSOUT=A                                                          
//SYSIN DD *                                                                    
OPTIONS MISSING=' ';                                                            
OPTIONS NODATE;                                                                 
DATA ANTARC;                                                                    
INFILE IN;                                                                      
INPUT @7 STATION $CHAR34. LATDEG 42-43 LATMIN 44-46 @47 LATHEM $ LONDEG         
      52-54 LONMIN 56-57 @58 LONHEM $ @61 ALT $CHAR7. IYEAR 70-73 FYEAR         
      75-78 / HEADER $CHAR102. /;                                               
DO UNTIL(RYEAR=FYEAR);                                                          
 INPUT YEAR JAN FEB MAR APR MAY JUN JUL AUG SEP OCT NOV DEC ANN RYEAR;          
 IF RYEAR=1880 OR RYEAR=1890 OR RYEAR=1900 OR RYEAR=1910 OR RYEAR=1920          
    OR RYEAR=1930 OR RYEAR=1940 OR RYEAR=1950 OR RYEAR=1960 OR                  
    RYEAR=1970 OR RYEAR=1980 OR RYEAR=FYEAR THEN                                
   INPUT BLANK $CHAR102.;                                                       
 ELSE;                                                                          
OUTPUT;                                                                         
END;                                                                            
PROC SORT;                                                                      
BY STATION YEAR;                                                                
PROC PRINT;                                                                     
VAR YEAR JAN FEB MAR APR MAY JUN JUL AUG SEP OCT NOV DEC ANN RYEAR;             
ID YEAR;                                                                        
BY STATION;                                                                     
PAGEBY STATION;                                                                 
RUN;                                                                            
